#include <glerminal.h>

#include <test-common.h>

namespace
{
	void init()
	{
		glerminal_load_sprites_file("resources/image.png");
		
		for (int i = 0; i < GRID_HEIGHT; i++)
		{
			glerminal_set(i, i, 0, 1);
		}

		glerminal_flush();

		glerminal_test_save_image();

		glerminal_quit();
	}

	void mainloop(float) {}
}

int main()
{
	glerminal_run(init, mainloop);

	return 0;
}